:root {
  --beige: #e2dfc8;
  --box-color: #f2e6d6;
  --box-border: #bcbcbc;
  --green: #006d79;
  --mint: #a7c2a2;
  --mint-hover: #b1cdac;
  --gray: #333333;
  --btn-color: #5a86ac;

  --main-side-padding: 2.6vw;
  --footer-side-padding: 2.1vw;

  --header-height: 5.2vw;
  --small-header-height: 25vw;
}

* {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  margin: 0;
  padding: 0;
  -webkit-tap-highlight-color: transparent;
}

body {
  height: 100%;
  overflow-x: hidden;
  width: 100vw;
  background-color: var(--beige);
}
h1 {
  font-family: "Julius Sans One", sans-serif;
  font-weight: 400;
  font-style: normal;
}

p {
  color: var(--gray);
}

.icon-logo {
  background: url("/assets/bilder/logo.svg");
  background-repeat: no-repeat;
  background-size: cover;
  display: inline-block;
  width: 2vw;
  aspect-ratio: 1;
}
@media screen and (min-width: 620px) {
  h1 {
    font-family: "Julius Sans One", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 2.25vw;
  }

  p {
    font-size: 1vw;
    color: var(--gray);
  }

  #btn_book {
    display: flex;
    align-items: center;
    background-color: var(--btn-color);
    color: white;
    font-size: 1vw;
    padding: 1vw 3vw;
    border-radius: 2vw;
    text-decoration: none;
  }

  /*Header*/
  #nav-placeholder {
    height: var(--header-height);
  }

  header,
  ul {
    display: flex;
    flex-direction: row;
    width: 100%;
  }

  header {
    position: fixed;
    justify-content: space-between;
    align-items: center;
    height: inherit;
    background-color: var(--beige);
    opacity: 0.85;
    transition: opacity 0.2s;
  }

  header img {
    width: 5vw;
    padding: 0 10px;
  }

  header .title {
    font-family: "Julius Sans One", sans-serif;
    font-weight: 400;
    font-style: normal;
    width: 80%;
    color: var(--green);
    text-decoration: none;
    font-size: 2.5vw;
    text-align: left;

    margin-left: 2.6%;
    user-select: none;
    -webkit-user-drag: none;
  }
  .btn-menu {
    display: none;
  }
  nav {
    display: flex;
    flex-direction: row;
    justify-content: end;
    width: 150%;
    margin-right: var(--footer-side-padding);
  }

  ul {
    width: 100%;
    list-style-type: none;
    justify-content: space-between;
    align-items: center;
  }

  header li a,
  header li p {
    font-family: "Julius Sans One", sans-serif;
    font-weight: 500;
    font-size: 1.4vw;
    color: black;
    text-decoration: none;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
  }
  header li a:hover {
    color: var(--green);
  }

  header li div {
    display: none;
    position: absolute;
    float: left;
    background-color: var(--beige);
    min-width: 160px;
    z-index: 1;
    padding-top: 2vw;
    padding-left: 10px;
    padding-right: 10px;
    padding-bottom: 5px;
    padding: 2vw 0.52vw 0.26vw 0.52vw;
    line-height: 2vw;
  }
  header li div a {
    font-size: 1.3vw;
    float: none;
    display: block;
    text-align: left;
  }

  header .dropdown:hover div {
    display: block;
  }
  header .dropdown:hover {
    cursor: pointer;
  }

  /*Footer*/
  footer {
    background-color: var(--beige);
    /*height: 15.6vw;*/
    height: auto;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: start;
    padding: 1.5vw var(--footer-side-padding) 1.5vw var(--footer-side-padding);
    bottom: 0;
    position: relative;
  }
  footer h1 {
    margin-bottom: 0.8vw;
    font-size: 1.9vw;
  }

  footer p,
  footer a {
    font-size: 1.1vw;
    color: var(--gray);
    text-decoration: none;
  }
  footer a:hover {
    color: var(--green);
  }
  .contact {
    display: flex;
    flex-direction: column;
    align-items: start;
    width: 20%;
  }
  .contact p {
    margin-bottom: 0.8vw;
  }

  .address {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 60%;
  }
  .address iframe {
    width: 70%;
    height: 100%;
    aspect-ratio: 2.5;
  }

  #spacer {
    width: 7vw;
    margin: 1vw 0 1vw 0;
    height: 1.5px;
    background-color: var(--gray);
  }

  .credits {
    position: absolute;
    bottom: 3px;
    left: 3px;
  }
  .credits p {
    font-size: 1vw;
  }
}
@media screen and (max-width: 630px) {
  .icon-logo {
    width: 35px;
  }
  /*Header*/
  #nav-placeholder {
    height: var(--header-height);
  }

  header,
  ul {
    display: flex;
    flex-direction: row;
    width: 100%;
  }

  header {
    position: fixed;
    justify-content: space-between;
    align-items: center;
    height: inherit;
    background-color: var(--beige);
    opacity: 0.85;
    transition: opacity 0.2s;
  }

  header img {
    width: 5vw;
    padding: 0 10px;
  }

  header .title {
    font-family: "Julius Sans One", sans-serif;
    font-weight: 400;
    font-style: normal;
    width: 80%;
    color: var(--green);
    text-decoration: none;
    font-size: 2.5vw;
    text-align: left;

    margin-left: 2.6%;
    user-select: none;
    -webkit-user-drag: none;
  }
  body {
    width: 100%;
  }
  #nav-placeholder {
    position: fixed;
    top: 0;
    z-index: 1000;
    height: var(--small-header-height);
  }
  .header-bg {
    background-color: var(--beige);
    padding-left: 0px;
    gap: 2vw;
  }
  .header-bg img {
    width: 15%;
    padding: 0 10px;
  }
  .header-bg .title {
    padding: 0;
    margin: 0;
    font-size: 7vw;
    opacity: 1;
    z-index: 1;
    width: 100%;
  }
  #btn_book {
    display: flex;
    align-items: center;
    background-color: var(--btn-color);
    color: white;
    padding: 2vw 4vw;
    border-radius: 2vw;
    text-decoration: none;
  }

  .btn-menu {
    display: block;
    border: none;
    background-color: transparent;
    color: var(--gray);
  }

  .btn-menu + nav a {
    text-decoration: none;
  }
  #btn-menu-toggle {
    transform: rotate(90deg);
    margin-right: 4.6%;
    margin-left: 10vw;
    z-index: 10;
    font-weight: 600;
    font-size: 20px;
  }
  #btn-menu-close {
    font-size: 6vw;
    position: absolute;
    bottom: 10vw;
    transition: opacity 0.3s;
    opacity: 0;
  }
  nav {
    display: flex;
    flex-direction: column;
    transition: all 1s;
    position: absolute;
    background-color: var(--beige);
    overflow: hidden;
    width: 100%;
    height: 0;
    top: 0;
    justify-content: center;
    align-items: center;
    user-select: none;
    margin-right: var(--footer-side-padding);
  }
  nav ul {
    flex-direction: column;
    justify-content: start;
    align-items: center;
    width: 100%;
    gap: 8vw;
    list-style-type: none;
  }
  nav ul li {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
  }

  nav ul li a,
  nav ul li p {
    font-family: "Julius Sans One", sans-serif;
    font-weight: 500;
    font-size: 6vw;
    color: black;
    text-decoration: none;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
  }
  nav ul li a {
    text-decoration: none;
  }
  ul li a:hover {
    color: var(--green);
  }

  nav ul li div {
    height: 0px;
    opacity: 0;
    position: unset;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    line-height: normal;
    transition: all 1s;
    float: left;
    background-color: var(--beige);
    min-width: 160px;
    padding: 2vw 0.52vw 0.26vw 0.52vw;

    z-index: 1;
  }

  nav ul li:hover div {
    display: flex;
  }
  nav ul li div a {
    font-size: 5vw;
    text-decoration: none;
    display: none;
    text-align: center;
    float: none;
  }

  /*Footer*/
  footer {
    display: flex;
    background-color: var(--beige);
    height: auto;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    padding: 1.5vw var(--footer-side-padding) 1.5vw var(--footer-side-padding);
    padding-top: 15vw;
    padding-bottom: 15vw;
    gap: 11vw;
    position: relative;
    bottom: 0;
  }
  footer h1 {
    font-size: 7vw;
    text-align: center;
    margin-bottom: 3.5vw;
  }
  footer p,
  footer a {
    font-size: 4vw;
    text-align: center;
    color: var(--gray);
    text-decoration: none;
  }
  footer a:hover {
    color: var(--green);
  }
  .contact,
  .address {
    width: 90%;
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .contact p {
    margin-bottom: 0.8vw;
  }
  .address {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100vw;
  }
  .address iframe {
    width: 100%;
    height: 100%;
    aspect-ratio: 2;
  }

  #spacer {
    width: 28vw;
    height: 1px;
    background-color: var(--gray);
    margin: 3.5vw 0 3vw 0;
  }

  .credits {
    position: absolute;
    bottom: 5px;
    left: 10px;
  }
  .credits p {
    font-size: 2.4vw;
  }
}
